# Module `aioimmich.tags`

aioimmich tags api.

## Sub-modules

`aioimmich.tags.models`

  aioimmich tags models.

## Classes

`class ImmichTags (api: ImmichApi)`
  Expand source code

      class ImmichTags(ImmichSubApi):
          """Immich tags api."""

          async def async_get_all_tags(self) -> list[ImmichTag]:
              """Get all tags.

              Returns:
                  all tags as list of `ImmichTag`
              """
              result = await self.api.async_do_request("tags")
              assert isinstance(result, list)
              return [ImmichTag.from_dict(tag) for tag in result]

  Immich tags api.

  Immich sub api init.

  ### Ancestors

  - ImmichSubApi

  ### Methods

  `async def async_get_all_tags(self) ‑> list[ImmichTag]`
    Expand source code

        async def async_get_all_tags(self) -> list[ImmichTag]:
            """Get all tags.

            Returns:
                all tags as list of `ImmichTag`
            """
            result = await self.api.async_do_request("tags")
            assert isinstance(result, list)
            return [ImmichTag.from_dict(tag) for tag in result]

    Get all tags.

    ## Returns

    all tags as list of `ImmichTag`